Subject: bug#25596: 25.1; Password not hidden

From: Rahul Martim Juliato <[email-masked]>
Date: Wed, 01 Mar 2017 14:27:15 -0300

So I tested this way:

emacs -Q -f shell

export LC_ALL="C"

sudo ls

And BANG! password is prompted in a hidden way on the minibuffer!
(sudo presents its prompt in english)

So, is comint-password-prompt-regexp bugged? I recall that
eshell works fine. Also, it seems that recognizes sudo OR other stuff
(I'm not the best regex reader by the way).

I also tried on my Debian notebook, and the password for sudo
is prompted in english, so there's no problem there.

Glenn Morris <[email-masked]> writes:

> Rahul Martim Juliato wrote:
>
>> emacs -Q -f shell
>>
>> inside of it:
>> sudo ls
>>
>> And then shell asks me for the password not hiding it when I type.
>
> Thanks. I see that in your initial report, you said the prompt was:
>
>   [sudo] senha para eng:
>
>> I already tried a "solution" i found on-line by adding this to my .emacs file:
>>
>> (add-hook 'comint-output-filter-functions
>> 	  'comint-watch-for-password-prompt)
>
> This is already done by default.
>
>> And altough I'm using a brazillian portuguese system, sudo should
>> recognize the portuguese word "senha" as a passwork equivalent, or at
>> least recognize that the line asks for password with "[sudo]".
>
> Emacs has the variable password-word-equivalents, which includes "senha"
> by default.
>
> The problem is that comint-password-prompt-regexp does not translate
> "for" into other languages ("para" in this case).